unit uGlobalInit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, uSingleton, fSplash;

procedure MyGlobalInit;
procedure MyGlobalDeInit;

implementation

procedure MyGlobalInit;
var Done : integer;
begin

  Settings;  //Erzeugt das Singleton Objekt für Einstellungswerte
  Settings.MySplashEvent:=@frmSplash.ShowInfo;  //Weist dem MySplashEvent des Singletons die Anzeigeprozedur des Splashforms zu
  Settings.Testlog;    //macht irgendetwas bei dem etwas angezeigt wird
  Settings.MySplashEvent:=nil; //Stellt das MySplashEvent des Singletons auf nil, somit wird keine Prozedur
                               //in der Splashscreen mehr getriggert, die im Programmverlauf ja nicht mehr existiert.

end;

procedure MyGlobalDeInit;
begin
  Settings.Free;
end;

end.
